## org.mortbay.jetty.plus.naming
Class Transaction

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Transaction

    public class Transaction

extends NamingEntry

Transaction

Field Summary
`static String` `USER_TRANSACTION`

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Transaction(UserTransaction userTransaction)`

Method Summary
`static void` `bindToENC()`
`void` `bindToENC(String localName)` Allow other bindings of UserTransaction.
`void` `unbindENC()` Unbind this Transaction from a java:comp

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`getJndiName, getJndiNameInScope, getObjectToBind, release, save`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_TRANSACTION

    public static final String USER_TRANSACTION

See Also:
  Constant Field Values

Constructor Detail

### Transaction

    public Transaction(UserTransaction userTransaction)
                throws NamingException

Throws:
  `NamingException`

Method Detail

### bindToENC

    public static void bindToENC()
                          throws NamingException

  Throws:
    `NamingException`

### bindToENC

    public void bindToENC(String localName)
                   throws NamingException

  Allow other bindings of UserTransaction. These should be in ADDITION to java:comp/UserTransaction

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `NamingException`
  See Also:
    `NamingEntry.bindToENC(java.lang.String)`

### unbindENC

    public void unbindENC()

  Unbind this Transaction from a java:comp

  Overrides:
    `unbindENC` in class `NamingEntry`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.